;;; config.el --- Erlang Layer packages File for Spacemacs
;;
;; Copyright (c) 2012-2021 Sylvain Benner & Contributors
;;
;; Author: Sylvain Benner <sylvain.benner@gmail.com>
;; URL: https://github.com/syl20bnr/spacemacs
;;
;; This file is not part of GNU Emacs.
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


;; variables

(spacemacs|define-jump-handlers erlang-mode)

(defvar erlang-fill-column 80
  "Column beyond which automatic line-wrapping should happen.")

;; lsp - erlang_ls

(defvar erlang-backend (if (configuration-layer/layer-used-p 'lsp) 'lsp 'company-erlang)
  "The backend to use for IDE features.
Possible values are `lsp' or `company-erlang'.
If `nil' then `company-erlang' is the default backend unless `lsp' layer is used.")
(put 'erlang-backend 'safe-local-variable #'symbolp)
