;;; config.el --- Rust Layer packages File for Spacemacs
;;
;; Copyright (c) 2012-2021 Sylvain Benner & Contributors
;;
;; Author: Chris Hoeppner <me@mkaito.com>
;; URL: https://github.com/syl20bnr/spacemacs
;;
;; This file is not part of GNU Emacs.
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


;; Variables

(spacemacs|define-jump-handlers rust-mode)

(defvar rust-backend (if (configuration-layer/layer-used-p 'lsp) 'lsp 'racer)
  "The backend to use for completion.
Possible values are `lsp' `racer'.
If `nil' then `racer' is the default backend unless `lsp' layer is used.")

(defvar cargo-process-reload-on-modify nil
  "When non-nil, reload workspace after a cargo-process command modifies Cargo.toml.")
